diff -ur f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryAccountManager.cs f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryAccountManager.cs
--- f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryAccountManager.cs	2010-12-19 07:34:42.000000000 -0600
+++ f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryAccountManager.cs	2015-01-14 17:58:50.664838389 -0600
@@ -26,6 +26,7 @@
 
 		public delegate void AccountListChangedHandler (GalleryAccountManager manager, GalleryAccount changed_account);
 		public event AccountListChangedHandler AccountListChanged;
+		public event AccountListChangedHandler AccountAdded;
 
 		public static GalleryAccountManager GetInstance ()
 		{
@@ -73,6 +74,8 @@
 		{
 			accounts.Add (account);
 			MarkChanged (write, account);
+			if (write && AccountAdded != null)
+				AccountAdded (this, account);
 		}
 
 		public void RemoveAccount (GalleryAccount account)
diff -ur f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryExport.cs f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryExport.cs
--- f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryExport.cs	2010-12-19 07:34:42.000000000 -0600
+++ f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.Gallery/FSpot.Exporters.Gallery/GalleryExport.cs	2015-01-14 19:39:47.475442570 -0600
@@ -55,6 +55,7 @@
 
 			GalleryAccountManager manager = GalleryAccountManager.GetInstance ();
 			manager.AccountListChanged += PopulateGalleryOptionMenu;
+			manager.AccountAdded += HandleAccountAdded;
 			PopulateGalleryOptionMenu (manager, null);
 
 			if (edit_button != null)
@@ -131,6 +132,9 @@
 
 			if (account != null) {
 				//System.Console.WriteLine ("history = {0}", album_optionmenu.History);
+				//Connect ();
+				//if (account.Gallery == null || account.Gallery.Albums == null || account.Gallery.Albums.Count == 0)
+					//return;
 				album = (Album) account.Gallery.Albums [Math.Max (0, album_optionmenu.Active)];
 				photo_index = 0;
 
@@ -246,6 +250,11 @@
             gallery_optionmenu.Active = pos;
 		}
 
+		private void HandleAccountAdded (GalleryAccountManager manager, GalleryAccount changed_account)
+		{
+			Connect ();
+		}
+
 		private void Connect ()
 		{
 			Connect (null);
@@ -344,6 +353,14 @@
 			}
 		}
 
+		[GLib.ConnectBefore]
+		protected void HandleAddResponse (object sender, Gtk.ResponseArgs args)
+		{
+			if (args.ResponseId == Gtk.ResponseType.Ok) {
+				Connect ();
+			}
+		}
+
 		public void HandleAddGallery (object sender, System.EventArgs args)
 		{
 			new AccountDialog (export_dialog);
diff -ur f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/GoogleAccountManager.cs f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/GoogleAccountManager.cs
--- f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/GoogleAccountManager.cs	2010-12-19 07:34:42.000000000 -0600
+++ f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/GoogleAccountManager.cs	2015-01-14 17:59:50.459834481 -0600
@@ -28,6 +28,7 @@
 
 		public delegate void AccountListChangedHandler (GoogleAccountManager manager, GoogleAccount changed_account);
 		public event AccountListChangedHandler AccountListChanged;
+		public event AccountListChangedHandler AccountAdded;
 
 		public static GoogleAccountManager GetInstance ()
 		{
@@ -72,6 +73,8 @@
 		{
 			accounts.Add (account);
 			MarkChanged (write, account);
+			if (write && AccountAdded != null)
+				AccountAdded (this, account);
 		}
 
 		public void RemoveAccount (GoogleAccount account)
diff -ur f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/PicasaWebExport.cs f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/PicasaWebExport.cs
--- f-spot-0.8.2.orig/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/PicasaWebExport.cs	2010-12-19 07:34:42.000000000 -0600
+++ f-spot-0.8.2/src/Extensions/Exporters/FSpot.Exporters.PicasaWeb/FSpot.Exporters.PicasaWeb/PicasaWebExport.cs	2015-01-14 17:54:30.735855375 -0600
@@ -65,6 +65,7 @@
 
 			GoogleAccountManager manager = GoogleAccountManager.GetInstance ();
 			manager.AccountListChanged += PopulateGoogleOptionMenu;
+			manager.AccountAdded += HandleAccountAdded;
 			PopulateGoogleOptionMenu (manager, null);
 			album_optionmenu.Changed += HandleAlbumOptionMenuChanged;
 
@@ -306,6 +307,11 @@
             gallery_optionmenu.Active = pos;
 		}
 
+		private void HandleAccountAdded (GoogleAccountManager manager, GoogleAccount changed_account)
+		{
+			Connect ();
+		}
+
 		private void Connect ()
 		{
 			Connect (null);
@@ -450,6 +456,14 @@
 			}
 		}
 
+		[GLib.ConnectBefore]
+		protected void HandleAddResponse (object sender, Gtk.ResponseArgs args)
+		{
+			if (args.ResponseId == Gtk.ResponseType.Ok) {
+				Connect ();
+			}
+		}
+
 		public void HandleAddGallery (object sender, System.EventArgs args)
 		{
 			new GoogleAccountDialog (this.Dialog);
